Subject: Re: [rtcweb] MTI Video Codec: a novel proposal
From: Peter Saint-Andre - &yet <[email-masked]>
To: Harald Alvestrand <[email-masked]>, Bernard Aboba <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 11 Nov 2014 12:47:05 -0700
List-Id: Real-Time Communication in WEB-browsers working group list <rtcweb.ietf.org>

On 11/11/14, 12:39 PM, Harald Alvestrand wrote:
> On 11/10/2014 10:48 PM, Bernard Aboba wrote:
>>
>>> On Nov 10, 2014, at 7:35 PM, Harald Alvestrand <[email-masked]> wrote:
>>>
>>>> On 11/10/2014 07:19 PM, Bernard Aboba wrote:
>>>> I do not get it either. It seems like mobile apps (which count as devices) using a WEBRTC stack now have to include both codecs regardless of whether they need them. Do we really think app developers will pay attention? Why should they?
>>> Because they can then depend on interoperability with other non-browsers?
>> [BA] Isn't the non-browser in question the mobile app the developer wrote? Most of these apps only need to interop with the app on another platform, a browser app and/or their own service. So they typically only need one codec or the other not both.
> I'm pretty certain that will be the most common scenario.
>
> I'm also pretty certain this will not be the only scenario; there will
> be services that are usable from multiple applications.
>
> I don't want to foreclose that possibility.

What is a non-browser mobile app or native app in terms of the entity 
taxonomy from draft-ietf-rtcweb-overview? Is it a WebRTC device or a 
WebRTC-compatible endpoint?

It's nice that people don't want to foreclose possibilities, but I think 
it's important to recognize that one person's desire might turn out to 
be someone else's significant work effort.

Peter

-- 
Peter Saint-Andre
https://andyet.com/